Loading...
Searching...
No Matches
OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT > Class Template Reference
Inheritance diagram for OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >:
[legend]
Collaboration diagram for OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >:
[legend]

## Public Types

using | Mesh = typename GenericCirculatorT_DEPRECATED_TraitsT::Mesh
using | CenterEntityHandle = typename GenericCirculatorT_DEPRECATED_TraitsT::CenterEntityHandle
using | value_type = typename GenericCirculatorT_DEPRECATED_TraitsT::ValueHandle
using | smart_value_type = decltype(make_smart(std::declval< value_type >(), std::declval< Mesh >()))
typedef std::ptrdiff_t | difference_type
typedef const value_type & | reference
typedef const smart_value_type * | pointer
typedef std::bidirectional_iterator_tag | iterator_category
typedef GenericCirculatorBaseT< Mesh >::mesh_ptr | mesh_ptr
typedef GenericCirculatorBaseT< Mesh >::mesh_ref | mesh_ref
typedef GenericCirculator_ValueHandleFnsT_DEPRECATED< Mesh, CenterEntityHandle, value_type > | GenericCirculator_ValueHandleFns

## Public Member Functions

| GenericCirculatorT_DEPRECATED (mesh_ref mesh, CenterEntityHandle start, bool end=false)
| GenericCirculatorT_DEPRECATED (mesh_ref mesh, typename Mesh::HalfedgeHandle heh, bool end=false)
| GenericCirculatorT_DEPRECATED (const GenericCirculatorT_DEPRECATED &rhs)
GenericCirculatorT_DEPRECATED & | operator++ ()
GenericCirculatorT_DEPRECATED & | operator-- ()
GenericCirculatorT_DEPRECATED | operator++ (int)
| Post-increment.
GenericCirculatorT_DEPRECATED | operator-- (int)
| Post-decrement.
smart_value_type | operator* () const
| Standard dereferencing operator.
pointer | operator-> () const
| Pointer dereferentiation.
GenericCirculatorT_DEPRECATED & | operator= (const GenericCirculatorT_DEPRECATED &rhs)
bool | operator== (const GenericCirculatorT_DEPRECATED &rhs) const
bool | operator!= (const GenericCirculatorT_DEPRECATED &rhs) const
bool | is_valid () const
const Mesh::HalfedgeHandle & | current_halfedge_handle () const
| operator bool () const
smart_value_type | handle () const
| Return the handle of the current target.
| operator value_type () const
| Cast to the handle of the current target.

## Friends

template<typename >
class | OpenMesh::CirculatorRange
template<typename STREAM >
STREAM & | operator<< (STREAM &s, const GenericCirculatorT_DEPRECATED &self)

## Additional Inherited Members

Protected Types inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_DEPRECATED_TraitsT::Mesh >
typedef const GenericCirculatorT_DEPRECATED_TraitsT::Mesh * | mesh_ptr
typedef const GenericCirculatorT_DEPRECATED_TraitsT::Mesh & | mesh_ref
Protected Member Functions inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_DEPRECATED_TraitsT::Mesh >
| GenericCirculatorBaseT (mesh_ref mesh, typename Mesh::HalfedgeHandle heh, bool end=false)
| GenericCirculatorBaseT (const GenericCirculatorBaseT &rhs)
Mesh::FaceHandle | toFaceHandle () const
Mesh::FaceHandle | toOppositeFaceHandle () const
Mesh::EdgeHandle | toEdgeHandle () const
Mesh::HalfedgeHandle | toHalfedgeHandle () const
Mesh::HalfedgeHandle | toOppositeHalfedgeHandle () const
Mesh::VertexHandle | toVertexHandle () const
GenericCirculatorBaseT & | operator= (const GenericCirculatorBaseT &rhs)
bool | operator== (const GenericCirculatorBaseT &rhs) const
bool | operator!= (const GenericCirculatorBaseT &rhs) const
Protected Attributes inherited from OpenMesh::Iterators::GenericCirculatorBaseT< GenericCirculatorT_DEPRECATED_TraitsT::Mesh >
mesh_ptr | mesh_
Mesh::HalfedgeHandle | start_
Mesh::HalfedgeHandle | heh_
int | lap_counter_

## Member Function Documentation

## current_halfedge_handle()

template<typename GenericCirculatorT_DEPRECATED_TraitsT >

const Mesh::HalfedgeHandle & OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >::current_halfedge_handle | ( |  | ) | const

inline

Deprecated:
  current_halfedge_handle() is an implementation detail and should not be accessed from outside the iterator class.

## handle()

template<typename GenericCirculatorT_DEPRECATED_TraitsT >

smart_value_type OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >::handle | ( |  | ) | const

inline

Return the handle of the current target.

Deprecated:
  This function clutters your code. Use dereferencing operators -> and * instead.

## operator bool()

template<typename GenericCirculatorT_DEPRECATED_TraitsT >

OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >::operator bool | ( |  | ) | const

inline

Deprecated:
  Do not use this error prone implicit cast. Compare to the end-iterator or use is_valid() instead.

## operator value_type()

template<typename GenericCirculatorT_DEPRECATED_TraitsT >

OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >::operator value_type | ( |  | ) | const

inline

Cast to the handle of the current target.

Deprecated:
  Implicit casts of iterators are unsafe. Use dereferencing operators -> and * instead.

## operator->()

template<typename GenericCirculatorT_DEPRECATED_TraitsT >

pointer OpenMesh::Iterators::GenericCirculatorT_DEPRECATED< GenericCirculatorT_DEPRECATED_TraitsT >::operator-> | ( |  | ) | const

inline

Pointer dereferentiation.

This returns a pointer which points to a handle that loses its validity once this dereferentiation is invoked again. Thus, do not store the result of this operation.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/CirculatorsT.hh